# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [4.1.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v4.0.0...v4.1.0) (2020-12-15)


### Features

* Add new jest methods ([#419](https://github.com/tleunen/babel-plugin-module-resolver/issues/419)) ([facf14c](https://github.com/tleunen/babel-plugin-module-resolver/commit/facf14c70208452b3f6ce26b9f034ec5d9240942)), closes [#407](https://github.com/tleunen/babel-plugin-module-resolver/issues/407)

## [4.0.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.2.0...v4.0.0) (2019-12-11)


### ⚠ BREAKING CHANGES

* The minimum node.js version that is now officially supported is Node 8.

### Features

* Add support for alias with array of paths ([#376](https://github.com/tleunen/babel-plugin-module-resolver/issues/376)) ([f2173ee](https://github.com/tleunen/babel-plugin-module-resolver/commit/f2173eea65e2f0835ba101058dfd6ee4e1167861))


* Update dependencies ([#377](https://github.com/tleunen/babel-plugin-module-resolver/issues/377)) ([0cef5ee](https://github.com/tleunen/babel-plugin-module-resolver/commit/0cef5ee0493e3113292435cefcb40287277cdd51))

<a name="3.2.0"></a>
# [3.2.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.1.3...v3.2.0) (2019-02-11)


### Features

* **dev:** add loglevel to configure console logging ([#351](https://github.com/tleunen/babel-plugin-module-resolver/issues/351)) ([d4a596c](https://github.com/tleunen/babel-plugin-module-resolver/commit/d4a596c))



<a name="3.1.3"></a>
## [3.1.3](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.1.2...v3.1.3) (2019-01-21)



<a name="3.1.2"></a>
## [3.1.2](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.1.1...v3.1.2) (2019-01-16)


### Bug Fixes

* Escape key of alias to support using $ prefix ([#313](https://github.com/tleunen/babel-plugin-module-resolver/issues/313)) ([4c56684](https://github.com/tleunen/babel-plugin-module-resolver/commit/4c56684)), closes [#312](https://github.com/tleunen/babel-plugin-module-resolver/issues/312) [#312](https://github.com/tleunen/babel-plugin-module-resolver/issues/312)



<a name="3.1.1"></a>
## [3.1.1](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.1.0...v3.1.1) (2018-03-24)


### Bug Fixes

* Add support for Node 4 ([#286](https://github.com/tleunen/babel-plugin-module-resolver/issues/286)) ([2d5bf09](https://github.com/tleunen/babel-plugin-module-resolver/commit/2d5bf09)), closes [#285](https://github.com/tleunen/babel-plugin-module-resolver/issues/285) [#236](https://github.com/tleunen/babel-plugin-module-resolver/issues/236)



<a name="3.1.0"></a>
# [3.1.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0...v3.1.0) (2018-02-08)


### Bug Fixes

* Fix path transformation for dot files that are siblings ([#253](https://github.com/tleunen/babel-plugin-module-resolver/issues/253)) ([7dc2da6](https://github.com/tleunen/babel-plugin-module-resolver/commit/7dc2da6))


### Features

* Ability to declare aliases in an array to preserve the order ([#243](https://github.com/tleunen/babel-plugin-module-resolver/issues/243)) ([d03715d](https://github.com/tleunen/babel-plugin-module-resolver/commit/d03715d))
* Add stripExtensions option to determine which extensions get removed ([#247](https://github.com/tleunen/babel-plugin-module-resolver/issues/247)) ([fdf5da9](https://github.com/tleunen/babel-plugin-module-resolver/commit/fdf5da9))
* Allow using a function to define the result of an alias ([#245](https://github.com/tleunen/babel-plugin-module-resolver/issues/245)) ([9299d9a](https://github.com/tleunen/babel-plugin-module-resolver/commit/9299d9a))
* run plugin also on Program exit to handle dynamically added imports from other transforms ([#269](https://github.com/tleunen/babel-plugin-module-resolver/issues/269)) ([12a2d07](https://github.com/tleunen/babel-plugin-module-resolver/commit/12a2d07))



<a name="3.0.0"></a>
# [3.0.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0-beta.5...v3.0.0) (2017-11-08)


### Features

* Add jest.setMock to the list of transformed jest functions ([#225](https://github.com/tleunen/babel-plugin-module-resolver/issues/225)) ([a7c04b0](https://github.com/tleunen/babel-plugin-module-resolver/commit/a7c04b0))
* Add require.requireActual and require.requireMock to the list of transformed Jest functions ([#227](https://github.com/tleunen/babel-plugin-module-resolver/issues/227)) ([47fd5ba](https://github.com/tleunen/babel-plugin-module-resolver/commit/47fd5ba))
* Make alias config take precedence over root config ([#221](https://github.com/tleunen/babel-plugin-module-resolver/issues/221)) ([3c711f8](https://github.com/tleunen/babel-plugin-module-resolver/commit/3c711f8))


### BREAKING CHANGES

* This makes alias taking precedence over the root config because it's usually more specific.



<a name="3.0.0-beta.5"></a>
# [3.0.0-beta.5](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0-beta.4...v3.0.0-beta.5) (2017-08-17)


### Bug Fixes

* Fix strip extensions for RN support ([#205](https://github.com/tleunen/babel-plugin-module-resolver/issues/205)) ([f22cb68](https://github.com/tleunen/babel-plugin-module-resolver/commit/f22cb68))



<a name="3.0.0-beta.4"></a>
# [3.0.0-beta.4](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0-beta.3...v3.0.0-beta.4) (2017-07-10)


### Bug Fixes

* Prevent double application of the transform ([#176](https://github.com/tleunen/babel-plugin-module-resolver/issues/176)) ([feefe9e](https://github.com/tleunen/babel-plugin-module-resolver/commit/feefe9e))


### Features

* Add the resolvePath option ([#195](https://github.com/tleunen/babel-plugin-module-resolver/issues/195)) ([59115e0](https://github.com/tleunen/babel-plugin-module-resolver/commit/59115e0)), closes [#165](https://github.com/tleunen/babel-plugin-module-resolver/issues/165)



<a name="3.0.0-beta.3"></a>
# [3.0.0-beta.3](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0-beta.2...v3.0.0-beta.3) (2017-05-16)



<a name="3.0.0-beta.2"></a>
# [3.0.0-beta.2](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0-beta.0...v3.0.0-beta.2) (2017-05-16)


### Bug Fixes

* **package:** update pkg-up to version 2.0.0 ([#168](https://github.com/tleunen/babel-plugin-module-resolver/issues/168)) ([ccba432](https://github.com/tleunen/babel-plugin-module-resolver/commit/ccba432))
* Fix path resolution when the alias is not a proper sub path ([#177](https://github.com/tleunen/babel-plugin-module-resolver/issues/177)) ([dcd5dca](https://github.com/tleunen/babel-plugin-module-resolver/commit/dcd5dca))


### Features

* Add the .mjs extension to the default extensions ([#172](https://github.com/tleunen/babel-plugin-module-resolver/issues/172)) ([ea9e457](https://github.com/tleunen/babel-plugin-module-resolver/commit/ea9e457))
* Run the plugin in the "enter" phase of the Program ([#179](https://github.com/tleunen/babel-plugin-module-resolver/issues/179)) ([c4794f9](https://github.com/tleunen/babel-plugin-module-resolver/commit/c4794f9))



<a name="3.0.0-beta.0"></a>
# [3.0.0-beta.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.7.0...v3.0.0-beta.0) (2017-04-23)


### Feat

* warn when the package from resolved alias is not available ([#160](https://github.com/tleunen/babel-plugin-module-resolver/issues/160)) ([c937f79](https://github.com/tleunen/babel-plugin-module-resolver/commit/c937f79))


### Features

* Add support for new ES dynamic `import()` ([#143](https://github.com/tleunen/babel-plugin-module-resolver/issues/143)) ([ad65935](https://github.com/tleunen/babel-plugin-module-resolver/commit/ad65935))
* Convert root to array if root is a string ([#153](https://github.com/tleunen/babel-plugin-module-resolver/issues/153)) ([2bcea0c](https://github.com/tleunen/babel-plugin-module-resolver/commit/2bcea0c)), closes [#152](https://github.com/tleunen/babel-plugin-module-resolver/issues/152)
* Support 'packagejson' as a custom cwd option ([#149](https://github.com/tleunen/babel-plugin-module-resolver/issues/149)) ([52600af](https://github.com/tleunen/babel-plugin-module-resolver/commit/52600af))


### BREAKING CHANGES

* The "npm:" prefix has been removed.



<a name="2.7.0"></a>
# [2.7.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.5.0...v2.7.0) (2017-03-30)


### Reverts

* Force a 2.7.0 by reverting all changes since 2.5.0 ([577afad](https://github.com/tleunen/babel-plugin-module-resolver/commit/577afad))



<a name="2.6.2"></a>
## [2.6.2](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.6.1...v2.6.2) (2017-03-30)


### Bug Fixes

* Fix the double plugin bug ([#146](https://github.com/tleunen/babel-plugin-module-resolver/issues/146)) ([4e19188](https://github.com/tleunen/babel-plugin-module-resolver/commit/4e19188))



<a name="2.6.1"></a>
## [2.6.1](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.6.0...v2.6.1) (2017-03-29)


### Bug Fixes

* Fix `regExps.find` undefined error ([2171200](https://github.com/tleunen/babel-plugin-module-resolver/commit/2171200))



<a name="2.6.0"></a>
# [2.6.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.5.0...v2.6.0) (2017-03-29)


### Bug Fixes

* Fix plugin running twice in some cases ([#136](https://github.com/tleunen/babel-plugin-module-resolver/issues/136)) ([097bcc8](https://github.com/tleunen/babel-plugin-module-resolver/commit/097bcc8)), closes [#96](https://github.com/tleunen/babel-plugin-module-resolver/issues/96)


### Features

* Add regular expression support ([#132](https://github.com/tleunen/babel-plugin-module-resolver/issues/132)) ([6d87b25](https://github.com/tleunen/babel-plugin-module-resolver/commit/6d87b25)), closes [#88](https://github.com/tleunen/babel-plugin-module-resolver/issues/88) [#127](https://github.com/tleunen/babel-plugin-module-resolver/issues/127)
* Handle the "export from" statement ([#129](https://github.com/tleunen/babel-plugin-module-resolver/issues/129)) ([627b897](https://github.com/tleunen/babel-plugin-module-resolver/commit/627b897)), closes [#128](https://github.com/tleunen/babel-plugin-module-resolver/issues/128)



<a name="2.5.0"></a>
# [2.5.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.4.0...v2.5.0) (2017-02-05)


### Bug Fixes

* Add only directories in a glob root config ([#120](https://github.com/tleunen/babel-plugin-module-resolver/issues/120)) ([ac87924](https://github.com/tleunen/babel-plugin-module-resolver/commit/ac87924))
* Remove unnecessary trailing /index in the local path resolution ([#117](https://github.com/tleunen/babel-plugin-module-resolver/issues/117)) ([ac0c671](https://github.com/tleunen/babel-plugin-module-resolver/commit/ac0c671))


### Features

* Add support for jest doMock and dontMock functions ([#114](https://github.com/tleunen/babel-plugin-module-resolver/issues/114)) ([0bc01ec](https://github.com/tleunen/babel-plugin-module-resolver/commit/0bc01ec))
* Export manipulateOptions ([85270e1](https://github.com/tleunen/babel-plugin-module-resolver/commit/85270e1))
* Export the default extensions used by the plugin ([1c4fbcc](https://github.com/tleunen/babel-plugin-module-resolver/commit/1c4fbcc))



<a name="2.4.0"></a>
# [2.4.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.3.0...v2.4.0) (2016-11-30)


### Features

* Add support for Jest specific functions ([#100](https://github.com/tleunen/babel-plugin-module-resolver/issues/100)) ([ffa2c39](https://github.com/tleunen/babel-plugin-module-resolver/commit/ffa2c39)), closes [#97](https://github.com/tleunen/babel-plugin-module-resolver/issues/97)
* Add support for System.import ([#101](https://github.com/tleunen/babel-plugin-module-resolver/issues/101)) ([06ba4dd](https://github.com/tleunen/babel-plugin-module-resolver/commit/06ba4dd)), closes [#99](https://github.com/tleunen/babel-plugin-module-resolver/issues/99)



<a name="2.3.0"></a>
# [2.3.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v3.0.0-beta.1...v2.3.0) (2016-11-06)


### Bug Fixes

* Fix wrong location of modified path ([e7083ab](https://github.com/tleunen/babel-plugin-module-resolver/commit/e7083ab)), closes [#94](https://github.com/tleunen/babel-plugin-module-resolver/issues/94)


### Features

* Move the babelrc lookup behind a custom cwd value option ([2a8aca5](https://github.com/tleunen/babel-plugin-module-resolver/commit/2a8aca5))



<a name="2.2.0"></a>
# [2.2.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.1.1...v2.2.0) (2016-08-27)


### Bug Fixes

* Fix plugin on windows ([d6b0a4b](https://github.com/tleunen/babel-plugin-module-resolver/commit/d6b0a4b))
* Fix the root resolver when both a file and directory have the same name ([a4cff68](https://github.com/tleunen/babel-plugin-module-resolver/commit/a4cff68))


### Features

* Add glob support in the root config ([#78](https://github.com/tleunen/babel-plugin-module-resolver/issues/78)) ([1f6245b](https://github.com/tleunen/babel-plugin-module-resolver/commit/1f6245b))



<a name="2.1.1"></a>
## [2.1.1](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.1.0...v2.1.1) (2016-08-22)


### Bug Fixes

* Fix resolver with filename containing a dot ([#75](https://github.com/tleunen/babel-plugin-module-resolver/issues/75)) ([bb6c903](https://github.com/tleunen/babel-plugin-module-resolver/commit/bb6c903)), closes [#74](https://github.com/tleunen/babel-plugin-module-resolver/issues/74)



<a name="2.1.0"></a>
# [2.1.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v2.0.0...v2.1.0) (2016-08-19)


### Bug Fixes

* Fix root mapping with custom extensions ([#72](https://github.com/tleunen/babel-plugin-module-resolver/issues/72)) ([3d4756b](https://github.com/tleunen/babel-plugin-module-resolver/commit/3d4756b))


### Features

* Aliasing a npm module without 'npm:' ([#73](https://github.com/tleunen/babel-plugin-module-resolver/issues/73)) ([8e95988](https://github.com/tleunen/babel-plugin-module-resolver/commit/8e95988))



<a name="2.0.0"></a>
# [2.0.0](https://github.com/tleunen/babel-plugin-module-resolver/compare/v1.6.0...v2.0.0) (2016-08-14)


### Features

* Add support for custom root directories ([#69](https://github.com/tleunen/babel-plugin-module-resolver/issues/69)) ([3dd29a0](https://github.com/tleunen/babel-plugin-module-resolver/commit/3dd29a0)), closes [#46](https://github.com/tleunen/babel-plugin-module-resolver/issues/46)


### BREAKING CHANGES

* There's a new way to specify alias in the plugin options. See README for more info
